gmp_div
gmp_export
GMP Functions
PHP Manual

# gmp_divexact

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_divexact — Exact division of numbers

### Description

GMP gmp_divexact ( GMP `$n` , GMP `$d` )

Divides `n` by `d`, using fast "exact division" algorithm. This function produces correct results only when it is known in advance that `d` divides `n`.

### Parameters

`n`

  The number being divided.

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

`d`

  The number that `a` is being divided by.

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

### Return Values

A GMP number resource in PHP 5.5 and earlier, or a GMP object in PHP 5.6 and later.

### Examples

Example #1 gmp_divexact() example

`<?php
$div1 = gmp_divexact("10", "2");
echo gmp_strval($div1) . "\n";
$div2 = gmp_divexact("10", "3"); // bogus result
echo gmp_strval($div2) . "\n";
?>`

The above example will output:

    5
    2863311534

gmp_div
gmp_export
GMP Functions
PHP Manual